MCP Reference: netapp.googleapis.com

The Model Context Protocol (MCP) server provides tools to manage NetApp Volumes resources, including storage pools, volumes, backup vaults, backups, and backup policies.

MCP server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

Server Setup

You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.

Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The NetApp API MCP server has the following global MCP endpoint:

  • https://netapp.googleapis.com/mcp

MCP Tools

An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

Tools

The netapp.googleapis.com MCP server has the following tools:

MCP Tools
list_storage_pools List storage pools in a given project and location.
get_storage_pool Get storage pool in a given project and location.
list_volumes List volumes in a given project and location.
get_volume Get volume in a given project and location.
list_backup_vaults List backup vaults in a given project and location.
get_backup_vault Get backup vault in a given project and location.
list_backup_policies List backup policies in a given project and location.
get_backup_policy Get backup policy in a given project and location.
list_backups List backups in a given project and location.
get_backup Get backup in a given project and location.
create_backup Create backup in a given project and location.
list_snapshots List snapshots in a given project and location.
get_snapshot Get snapshot in a given project and location.
create_snapshot Create snapshot in a given project and location.

Get MCP tool specifications

To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.

Curl Request
                      
curl --location 'https://netapp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'